<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ActionDrinkPondContinuous Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('df/d94/class_action_drink_pond_continuous.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ActionDrinkPondContinuous Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ActionDrinkPondContinuous:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../df/d94/class_action_drink_pond_continuous.png" usemap="#ActionDrinkPondContinuous_map" alt=""/>
  <map id="ActionDrinkPondContinuous_map" name="ActionDrinkPondContinuous_map">
<area href="../../d6/d3f/class_action_continuous_base.html" alt="ActionContinuousBase" shape="rect" coords="0,0,170,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:ad143ec54f2b0fb179560beb22adc1ecf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d94/class_action_drink_pond_continuous.html#ad143ec54f2b0fb179560beb22adc1ecf">ActionDrinkPondContinuous</a> ()</td></tr>
<tr class="separator:ad143ec54f2b0fb179560beb22adc1ecf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a386e5de23183480753081af361ed1449"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d94/class_action_drink_pond_continuous.html#a386e5de23183480753081af361ed1449">IsDrink</a> ()</td></tr>
<tr class="separator:a386e5de23183480753081af361ed1449"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4034f39e8d270ce67a964cecf2f1d146"><td class="memItemLeft" align="right" valign="top">override&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d94/class_action_drink_pond_continuous.html#a4034f39e8d270ce67a964cecf2f1d146">GetInputType</a> ()</td></tr>
<tr class="separator:a4034f39e8d270ce67a964cecf2f1d146"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a339d96279d28063195db743de2abd99a"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d94/class_action_drink_pond_continuous.html#a339d96279d28063195db743de2abd99a">CreateConditionComponents</a> ()</td></tr>
<tr class="separator:a339d96279d28063195db743de2abd99a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4384f7a43ef6c45e81a1740470ef8fcf"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d94/class_action_drink_pond_continuous.html#a4384f7a43ef6c45e81a1740470ef8fcf">ActionCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:a4384f7a43ef6c45e81a1740470ef8fcf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e03dfb3b43d381b6a025221c1d0ed99"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d94/class_action_drink_pond_continuous.html#a5e03dfb3b43d381b6a025221c1d0ed99">OnStart</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a5e03dfb3b43d381b6a025221c1d0ed99"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc5376a165c15a8baf081a32e5d38614"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d94/class_action_drink_pond_continuous.html#acc5376a165c15a8baf081a32e5d38614">OnEnd</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:acc5376a165c15a8baf081a32e5d38614"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8927b845251d796978a72f2239ada2cd"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d94/class_action_drink_pond_continuous.html#a8927b845251d796978a72f2239ada2cd">OnFinishProgressServer</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a8927b845251d796978a72f2239ada2cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b5166f7b566124a5c6323330f678974"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d94/class_action_drink_pond_continuous.html#a7b5166f7b566124a5c6323330f678974">OnEndAnimationLoopServer</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a7b5166f7b566124a5c6323330f678974"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a743fae5184c662fcd1ecfda086ea0ffa"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d94/class_action_drink_pond_continuous.html#a743fae5184c662fcd1ecfda086ea0ffa">WriteToContext</a> (<a class="el" href="../../d8/d18/gameplay_8c.html#af1d1033fca2ebd02f4ba61051b6341c4">ParamsWriteContext</a> ctx, <a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a743fae5184c662fcd1ecfda086ea0ffa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a248331a5bfc339724bf6da1a8449a092"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d94/class_action_drink_pond_continuous.html#a248331a5bfc339724bf6da1a8449a092">ReadFromContext</a> (<a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a> ctx, out ActionReciveData action_recive_data)</td></tr>
<tr class="separator:a248331a5bfc339724bf6da1a8449a092"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a18c28137855c37dc2f40c3835fc756be"><td class="memItemLeft" align="right" valign="top">private const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d94/class_action_drink_pond_continuous.html#a18c28137855c37dc2f40c3835fc756be">WATER_DRANK_PER_SEC</a> = 35</td></tr>
<tr class="separator:a18c28137855c37dc2f40c3835fc756be"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../df/d3b/_action_drink_pond_continuous_8c_source.html#l00009">9</a> of file <a class="el" href="../../df/d3b/_action_drink_pond_continuous_8c_source.html">ActionDrinkPondContinuous.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ad143ec54f2b0fb179560beb22adc1ecf" name="ad143ec54f2b0fb179560beb22adc1ecf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad143ec54f2b0fb179560beb22adc1ecf">&#9670;&#160;</a></span>ActionDrinkPondContinuous()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionDrinkPondContinuous::ActionDrinkPondContinuous </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d3b/_action_drink_pond_continuous_8c_source.html#l00013">13</a> of file <a class="el" href="../../df/d3b/_action_drink_pond_continuous_8c_source.html">ActionDrinkPondContinuous.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a4384f7a43ef6c45e81a1740470ef8fcf" name="a4384f7a43ef6c45e81a1740470ef8fcf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4384f7a43ef6c45e81a1740470ef8fcf">&#9670;&#160;</a></span>ActionCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionDrinkPondContinuous::ActionCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d3b/_action_drink_pond_continuous_8c_source.html#l00038">38</a> of file <a class="el" href="../../df/d3b/_action_drink_pond_continuous_8c_source.html">ActionDrinkPondContinuous.c</a>.</p>

</div>
</div>
<a id="a339d96279d28063195db743de2abd99a" name="a339d96279d28063195db743de2abd99a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a339d96279d28063195db743de2abd99a">&#9670;&#160;</a></span>CreateConditionComponents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionDrinkPondContinuous::CreateConditionComponents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d3b/_action_drink_pond_continuous_8c_source.html#l00032">32</a> of file <a class="el" href="../../df/d3b/_action_drink_pond_continuous_8c_source.html">ActionDrinkPondContinuous.c</a>.</p>

</div>
</div>
<a id="a4034f39e8d270ce67a964cecf2f1d146" name="a4034f39e8d270ce67a964cecf2f1d146"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4034f39e8d270ce67a964cecf2f1d146">&#9670;&#160;</a></span>GetInputType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override ActionDrinkPondContinuous::GetInputType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d3b/_action_drink_pond_continuous_8c_source.html#l00027">27</a> of file <a class="el" href="../../df/d3b/_action_drink_pond_continuous_8c_source.html">ActionDrinkPondContinuous.c</a>.</p>

</div>
</div>
<a id="a386e5de23183480753081af361ed1449" name="a386e5de23183480753081af361ed1449"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a386e5de23183480753081af361ed1449">&#9670;&#160;</a></span>IsDrink()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionDrinkPondContinuous::IsDrink </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d3b/_action_drink_pond_continuous_8c_source.html#l00022">22</a> of file <a class="el" href="../../df/d3b/_action_drink_pond_continuous_8c_source.html">ActionDrinkPondContinuous.c</a>.</p>

</div>
</div>
<a id="acc5376a165c15a8baf081a32e5d38614" name="acc5376a165c15a8baf081a32e5d38614"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acc5376a165c15a8baf081a32e5d38614">&#9670;&#160;</a></span>OnEnd()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionDrinkPondContinuous::OnEnd </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d3b/_action_drink_pond_continuous_8c_source.html#l00056">56</a> of file <a class="el" href="../../df/d3b/_action_drink_pond_continuous_8c_source.html">ActionDrinkPondContinuous.c</a>.</p>

</div>
</div>
<a id="a7b5166f7b566124a5c6323330f678974" name="a7b5166f7b566124a5c6323330f678974"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7b5166f7b566124a5c6323330f678974">&#9670;&#160;</a></span>OnEndAnimationLoopServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionDrinkPondContinuous::OnEndAnimationLoopServer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d3b/_action_drink_pond_continuous_8c_source.html#l00069">69</a> of file <a class="el" href="../../df/d3b/_action_drink_pond_continuous_8c_source.html">ActionDrinkPondContinuous.c</a>.</p>

</div>
</div>
<a id="a8927b845251d796978a72f2239ada2cd" name="a8927b845251d796978a72f2239ada2cd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8927b845251d796978a72f2239ada2cd">&#9670;&#160;</a></span>OnFinishProgressServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionDrinkPondContinuous::OnFinishProgressServer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d3b/_action_drink_pond_continuous_8c_source.html#l00061">61</a> of file <a class="el" href="../../df/d3b/_action_drink_pond_continuous_8c_source.html">ActionDrinkPondContinuous.c</a>.</p>

</div>
</div>
<a id="a5e03dfb3b43d381b6a025221c1d0ed99" name="a5e03dfb3b43d381b6a025221c1d0ed99"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5e03dfb3b43d381b6a025221c1d0ed99">&#9670;&#160;</a></span>OnStart()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionDrinkPondContinuous::OnStart </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d3b/_action_drink_pond_continuous_8c_source.html#l00049">49</a> of file <a class="el" href="../../df/d3b/_action_drink_pond_continuous_8c_source.html">ActionDrinkPondContinuous.c</a>.</p>

</div>
</div>
<a id="a248331a5bfc339724bf6da1a8449a092" name="a248331a5bfc339724bf6da1a8449a092"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a248331a5bfc339724bf6da1a8449a092">&#9670;&#160;</a></span>ReadFromContext()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionDrinkPondContinuous::ReadFromContext </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a>&#160;</td>
          <td class="paramname"><em>ctx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out ActionReciveData&#160;</td>
          <td class="paramname"><em>action_recive_data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d3b/_action_drink_pond_continuous_8c_source.html#l00088">88</a> of file <a class="el" href="../../df/d3b/_action_drink_pond_continuous_8c_source.html">ActionDrinkPondContinuous.c</a>.</p>

</div>
</div>
<a id="a743fae5184c662fcd1ecfda086ea0ffa" name="a743fae5184c662fcd1ecfda086ea0ffa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a743fae5184c662fcd1ecfda086ea0ffa">&#9670;&#160;</a></span>WriteToContext()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionDrinkPondContinuous::WriteToContext </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d18/gameplay_8c.html#af1d1033fca2ebd02f4ba61051b6341c4">ParamsWriteContext</a>&#160;</td>
          <td class="paramname"><em>ctx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d3b/_action_drink_pond_continuous_8c_source.html#l00078">78</a> of file <a class="el" href="../../df/d3b/_action_drink_pond_continuous_8c_source.html">ActionDrinkPondContinuous.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a18c28137855c37dc2f40c3835fc756be" name="a18c28137855c37dc2f40c3835fc756be"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a18c28137855c37dc2f40c3835fc756be">&#9670;&#160;</a></span>WATER_DRANK_PER_SEC</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private const <a class="el" href="../../d4/dc3/classfloat.html">float</a> ActionDrinkPondContinuous::WATER_DRANK_PER_SEC = 35</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d3b/_action_drink_pond_continuous_8c_source.html#l00011">11</a> of file <a class="el" href="../../df/d3b/_action_drink_pond_continuous_8c_source.html">ActionDrinkPondContinuous.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/UserActionsComponent/Actions/Continuous/<a class="el" href="../../df/d3b/_action_drink_pond_continuous_8c_source.html">ActionDrinkPondContinuous.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../df/d94/class_action_drink_pond_continuous.html">ActionDrinkPondContinuous</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
